VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Hello"
   ClientHeight    =   3750
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4770
   LinkTopic       =   "Form1"
   ScaleHeight     =   3750
   ScaleWidth      =   4770
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox ePass 
      Height          =   285
      Left            =   960
      TabIndex        =   8
      Top             =   840
      Width           =   2775
   End
   Begin VB.TextBox eServer 
      Height          =   285
      Left            =   960
      TabIndex        =   7
      Top             =   120
      Width           =   2775
   End
   Begin VB.TextBox eUser 
      Height          =   285
      Left            =   960
      TabIndex        =   6
      Top             =   480
      Width           =   2775
   End
   Begin VB.CommandButton bExit 
      Caption         =   "EXIT"
      Height          =   495
      Left            =   2280
      TabIndex        =   2
      Top             =   1200
      Width           =   1455
   End
   Begin VB.TextBox eMessage 
      Height          =   1935
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Top             =   1800
      Width           =   4575
   End
   Begin VB.CommandButton bHello 
      Caption         =   "Test Server"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   1200
      Width           =   1695
   End
   Begin VB.Label Label3 
      Alignment       =   1  'Right Justify
      Caption         =   "Password"
      Height          =   255
      Left            =   -720
      TabIndex        =   5
      Top             =   840
      Width           =   1575
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "User"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   480
      Width           =   735
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Server"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Dim X As New fceClass

Sub Display(Buffer As String)
eMessage.Text = eMessage.Text & Buffer & Chr$(13) & Chr$(10)
End Sub

Sub ShowError(ByVal Code As Long)
Code = X.fErrorText(0, Code)
Display (X.ResultString)
End Sub

Private Sub bExit_Click()
End
End Sub

Private Sub bHello_Click()
Dim Code As Integer
Dim Version As Integer
Dim S1, S2, S3 As String
' attach FCE
Code = X.fAttach(1, FCE_KEY_CODE)
If Code < 0 Then
  Display ("Cannot attach FCE " & Str$(Code))
  Exit Sub
End If
Version = X.fGetInteger(0, FCE_GET_VERSION)
S1 = "FTP Client Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
Call Display(S1 + S3 + ".")
' define log file
Code = X.fSetString(0, FCE_SET_LOG_FILE, "HELLO.LOG")
' check that parameters have been defined
If Len(eServer) = 0 Then
  Display ("Server not specified!")
  Exit Sub
End If
If Len(eUser) = 0 Then
  Display ("User not specified!")
  Exit Sub
End If
If Len(ePass) = 0 Then
  Display ("Password not specified!")
  Exit Sub
End If
' set parameters
X.FtpServer = eServer
X.FtpUser = eUser
X.FtpPass = ePass
' connect to FTP site
Call Display("Connecting to " + X.FtpServer + " as user " + X.FtpUser)
Code = X.fConnect(0)
If Code < 0 Then
  Call ShowError(Code)
  Code = X.fRelease()
  Exit Sub
Else
  Call Display("Connected to server.")
  ' get server's IP address
  Code = X.fGetString(0, FCE_GET_SERVER_IP)
  Display ("Server IP = " + X.ResultString)
  Display (" ")
  ' say hello
  Code = X.fHello(0)
  If Code < 0 Then
    Display ("Server is NOT responding!")
    Call ShowError(Code)
  Else
    Display ("Server is responding as expected.")
  End If
  ' [UNCOMMENT to get (short) directory listing]
  '''Code = X.fGetList(0, FCE_NAME_LIST)
  '''Display (X.ResultString)
  ' close connection
  Call Display("Closing connection.")
  Code = X.fClose(0)
  Code = X.fRelease()
End If
End Sub

Private Sub Form_Load()
' set defaults from fceClass
eServer = X.FtpServer
eUser = X.FtpUser
ePass = X.FtpPass
End Sub
