VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "fceClass"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'local variable(s) to hold property value(s)
Private mvarFtpServer As String 'local copy
Private mvarFtpUser As String 'local copy
Private mvarFtpPass As String 'local copy
Private mvarFileName As String 'local copy
Private mvarServerDir As String 'local copy
Private mvarLocalDir  As String 'local copy

Const WorkSize = 5000
Private WorkBuffer As String * WorkSize

Public Function fAbort(ByVal Chan As Long) As Long
fAbort = fceAbort(Chan)
End Function

Public Function fAttach(ByVal NbrChans As Long, ByVal KeyCode As Long) As Long
fAttach = fceAttach(NbrChans, KeyCode)
End Function

Public Function fRelease() As Long
fRelease = fceRelease()
End Function

Public Function fClose(ByVal Chan As Long) As Long
fClose = fceClose(Chan)
End Function

Public Function fConnect(ByVal Chan As Long) As Long
fConnect = fceConnect(Chan, mvarFtpServer, mvarFtpUser, mvarFtpPass)
End Function

Public Function fDebug(ByVal Chan As Long, ByVal Index As Long) As Long
fDebug = fceDebug(Chan, Index, WorkBuffer, WorkSize)
' Get result string from "ResultString" property
End Function

Public Function fDelFile(ByVal fceChan As Long) As Long
fDelFile = fceDelFile(fceChan, mvarFileName)
End Function

Public Function fDelServerDir(ByVal fceChan As Long) As Long
fDelServerDir = fceDelServerDir(fceChan, mvarServerDir)
End Function

Public Function fDriver(ByVal fceChan As Long) As Long
fDriver = fceDriver(fceChan)
End Function

Public Function fErrorText(ByVal fceChan As Long, ByVal Code As Long) As Long
fErrorText = fceErrorText(fceChan, Code, WorkBuffer, WorkSize)
' Get result string from "ResultString" property
End Function

Public Function fExtract(ByVal fceBuffer As String, ByVal fceLineNbr As Long, ByVal FieldNbr As Long) As Long
fExtract = fceExtract(fceBuffer, fceLineNbr, FieldNbr, WorkBuffer, WorkSize)
' Get result string from "ResultString" property
End Function

Public Function fGetFile(ByVal fceChan As Long) As Long
fGetFile = fceGetFile(fceChan, mvarFileName)
End Function

Public Function fGetInteger(ByVal fceChan As Long, ByVal fceParamName As Long) As Long
fGetInteger = fceGetInteger(fceChan, fceParamName)
End Function

Public Function fGetList(ByVal fceChan As Long, ByVal fceListType As Long) As Long
fGetList = fceGetList(fceChan, fceListType, WorkBuffer, WorkSize)
' Get result string from "ResultString" property
End Function

Public Function fGetLocalDir(ByVal fceChan As Long) As Long
fGetLocalDir = fceGetLocalDir(fceChan, WorkBuffer, WorkSize)
mvarLocalDir = WorkBuffer
End Function

Public Function fGetServerDir(ByVal fceChan As Long) As Long
fGetServerDir = fceGetServerDir(fceChan, WorkBuffer, WorkSize)
mvarServerDir = WorkBuffer
End Function

Public Function fGetString(ByVal fceChan As Long, ByVal fceParamName As Long) As Long
fGetString = fceGetString(fceChan, fceParamName, WorkBuffer, WorkSize)
' Get result string from "ResultString" property
End Function

Public Function fHello(ByVal fceChan As Long) As Long
fHello = fceHello(fceChan)
End Function

Public Function fMakeServerDir(ByVal fceChan As Long) As Long
fMakeServerDir = fceMakeServerDir(fceChan, mvarServerDir)
End Function

Public Function fPutFile(ByVal fceChan As Long) As Long
fPutFile = fcePutFile(fceChan, mvarFileName)
End Function

Public Function fSetInteger(ByVal fceChan As Long, ByVal fceParamName As Long, ByVal fceParamValue As Long) As Long
fSetInteger = fceSetInteger(fceChan, fceParamName, fceParamValue)
End Function

Public Function fSetLocalDir(ByVal fceChan As Long) As Long
fSetLocalDir = fceSetLocalDir(fceChan, mvarLocalDir)
End Function

Public Function fSetMode(ByVal fceChan As Long, ByVal fceXferMode As Integer) As Long
fSetMode = fceSetMode(fceChan, fceXferMode)
End Function

Public Function fSetServerDir(ByVal fceChan As Long) As Long
fSetServerDir = fceSetServerDir(fceChan, mvarServerDir)
End Function

Public Function fSetString(ByVal fceChan As Long, ByVal fceParamName As Long, ByVal fceBuffer As String) As Long
fSetString = fceSetString(fceChan, fceParamName, fceBuffer)
End Function

Public Property Let FtpServer(ByVal fceServer As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.FtpServer = "mike"
mvarFtpServer = fceServer
End Property

Public Property Get FtpServer() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FtpServer
FtpServer = mvarFtpServer
End Property

Public Property Let FtpUser(ByVal fceUser As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.FtpUser = "mike"
mvarFtpUser = fceUser
End Property

Public Property Get FtpUser() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FtpUser
FtpUser = mvarFtpUser
End Property

Public Property Let FtpPass(ByVal fcePass As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.FtpPass = "mike"
mvarFtpPass = fcePass
End Property

Public Property Get FtpPass() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FtpPass
FtpPass = mvarFtpPass
End Property

Public Property Let FileName(ByVal fceFilename As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.FileName = "mike"
mvarFileName = fceFilename
End Property

Public Property Get FileName() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FileName
FileName = mvarFileName
End Property

Public Property Let ServerDir(ByVal fceServer As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.ServerDir = "temp"
mvarServerDir = fceServer
End Property

Public Property Get ServerDir() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ServerDir
ServerDir = mvarServerDir
End Property

Public Property Let LocalDir(ByVal fceServer As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.LocalDir = "temp/work"
mvarLocalDir = fceServer
End Property

Public Property Get LocalDir() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.LocalDir
LocalDir = mvarLocalDir
End Property

Public Property Get ResultString() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ResultString
ResultString = WorkBuffer
End Property

Private Sub Class_Initialize()
mvarFtpServer = "ftp.marshallsoft.com"
mvarFtpUser = "anonymous"
mvarFtpPass = "msc@traveller.com"
mvarServerDir = "/"
mvarLocalDir = "C:\TEMP"
mvarFileName =""
End Sub


