VERSION 2.00
Begin Form GETPRO 
   Caption         =   "GETPRO"
   ClientHeight    =   2970
   ClientLeft      =   2850
   ClientTop       =   3375
   ClientWidth     =   6090
   Height          =   3660
   Left            =   2790
   LinkTopic       =   "Form1"
   ScaleHeight     =   2970
   ScaleWidth      =   6090
   Top             =   2745
   Width           =   6210
   Begin Menu mPushMe 
      Caption         =   "PushMe"
   End
   Begin Menu mDownLoad 
      Caption         =   "Download"
   End
   Begin Menu mExit 
      Caption         =   "Exit"
   End
End
Option Explicit

Sub mDownLoad_Click ()
Dim Code As Integer
Dim ErrSize As Integer
Dim Version As Integer
Dim S1, S2, S3 As String
Dim Buffer As String * 81
Dim EmailAddress As String
Dim LocalDirectory As String
Dim ServerDirectory As String
Dim ServerName As String
Dim FileName As String
' initialze parameters (use your email address below)
LocalDirectory = "c:\"
ServerDirectory = "pub/other"
ServerName = "ftp.marshallsoft.com"
FileName = "products.txt"
EmailAddress = "msc@traveller.com"
' attach FCE
Code = fceAttach(1, FCE_KEY_CODE)
' get FCE version number
Version = fceGetInteger(0, FCE_GET_VERSION)
S1 = "FTP Client Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
Print S1 + S3
' define log file
Code = fceSetString(0, FCE_SET_LOG_FILE, "GETPRO.LOG")
' connect to MarshallSoft FTP site
Print "Connecting to " & ServerName
Code = fceConnect(0, ServerName, "anonymous", EmailAddress)
If Code < 0 Then
  ErrSize = fceErrorText(0, Code, Buffer, 80)
  Print "ERROR: " & Left$(Buffer, ErrSize)
Else
  Print "Connected."
  ' set server directory
  Print "Server directory is " & ServerDirectory
  Code = fceSetServerDir(0, ServerDirectory)
  ' set local directory
  Print "Local directory is " & LocalDirectory
  Code = fceSetLocalDir(0, LocalDirectory)
  ' check that file exists
  Buffer = FileName
  Code = fceGetList(0, FCE_NAME_LIST_FILE, Buffer, 80)
  If Code > 0 Then
    ' download PRODUCTS.TXT
    Print "Downloading " & FileName & "..."
    Code = fceGetFile(0, FileName)
    Print "OK"
  Else
    Print "File " & FileName & " not found!"
  End If
  ' logging off
  Print "Logging off."
  Code = fceClose(0)
  Code = fceRelease()
End If
End Sub

Sub mExit_Click ()
End
End Sub

Sub mPushMe_Click ()
Print "This applications connects to the MarshallSoft FTP site"
Print "at ftp://ftp.marshallsoft.com and downloads the file "
Print "products.txt from pub/other"
Print
Print "Push 'Download' above to start"
End Sub

