'
' EXCEL/ACCESS Module Code (Win16 applications)
'
' See MODULE32.BAS for Office 97 Apps (WORD97, EXCEL97, ACCESS97, etc.)
'
' FCE16.BAS [FCE4VB Ver 1.2; 16-bit Visual Basic]
'
' IMPORTANT: Edit this module as noted below under "PROGRAMMERS" (line 91). 
'

Private Declare Function fceAbort Lib         "FCE16.DLL" (ByVal fceChan As Integer) As Integer
Private Declare Function fceAttach Lib        "FCE16.DLL" (ByVal fceNbrChans As Integer, ByVal fceKeyCode As LONG) As Integer
Private Declare Function fceClose Lib         "FCE16.DLL" (ByVal fceChan As Integer) As Integer
Private Declare Function fceConnect Lib       "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceServer As String, ByVal fceUser As String, ByVal fcePass As String) As Integer
Private Declare Function fceDebug Lib         "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceValue As Integer, ByVal fceBuffer As String, ByVal fceBufLen As Integer) As Integer
Private Declare Function fceDelFile Lib       "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceFileName As String) As Integer
Private Declare Function fceDelServerDir Lib  "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceServerName As String) As Integer
Private Declare Function fceDriver Lib        "FCE16.DLL" (ByVal fceChan As Integer) As Integer
Private Declare Function fceErrorText Lib     "FCE16.DLL" (ByVal fceChan As Integer, ByVal Code As Integer, ByVal fceBuffer As String, ByVal fceBufLen As Integer) As Integer
Private Declare Function fceExtract Lib       "FCE16.DLL" (ByVal fceBuffer As String, ByVal fceLineNbr As Integer, ByVal FieldNbr As Integer, ByVal fceBufPtr As String, ByVal fceBufLen As Integer) As Integer
Private Declare Function fceGetFile Lib       "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceFileName As String) As Integer
Private Declare Function fceGetInteger Lib    "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceParamName As Integer) As Long
Private Declare Function fceGetList Lib       "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceListType As Integer, ByVal fceBuffer As String, ByVal fceBufLen As Integer) As Integer
Private Declare Function fceGetLocalDir Lib   "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceBuffer As String, ByVal fceBufLen As Integer) As Integer
Private Declare Function fceGetServerDir Lib  "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceBuffer As String, ByVal fceBufLen As Integer) As Integer
Private Declare Function fceGetString Lib     "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceParamName As Integer, ByVal fceBuffer As String, ByVal fceBufLen As Integer) As Integer
Private Declare Function fceHello Lib         "FCE16.DLL" (ByVal fceChan As Integer) As Integer
Private Declare Function fceMakeServerDir Lib "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceServerDir) As Integer
Private Declare Function fcePutFile Lib       "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceFileName As String) As Integer
Private Declare Function fceRelease Lib       "FCE16.DLL" () As Integer
Private Declare Function fceSetInteger Lib    "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceParamName As Integer, ByVal fceParamValue As Long) As Integer
Private Declare Function fceSetLocalDir Lib   "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceDirName As String) As Integer
Private Declare Function fceSetMode Lib       "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceXferMode As Integer) As Integer
Private Declare Function fceSetServerDir Lib  "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceDirName As String) As Integer
Private Declare Function fceSetString Lib     "FCE16.DLL" (ByVal fceChan As Integer, ByVal fceParamName As Integer, ByVal fceParamString As String) As Integer

Declare Const FCE_SET_CONNECT_WAIT      =  1
Declare Const FCE_SET_MIN_RESPONSE_WAIT =  2
Declare Const FCE_SET_MAX_RESPONSE_WAIT =  3
Declare Const FCE_SET_MIN_LINE_WAIT     =  4
Declare Const FCE_SET_MAX_LINE_WAIT     =  5
Declare Const FCE_SET_AUTO_CALL_DRIVER  =  6  
Declare Const FCE_SET_MAX_FTP_WAIT      =  7
Declare Const FCE_SET_SLEEP_TIME        =  8
Declare Const FCE_SET_FTP_PORT          =  9
Declare Const FCE_SET_CLOSE_LINGER      = 10
Declare Const FCE_SET_WRITE_BUFSIZE     = 11
Declare Const FCE_SET_PASSIVE           = 12
Declare Const FCE_SET_LOG_FILE          = 20
Declare Const FCE_WRITE_TO_LOG          = 21

Declare Const FCE_GET_ERROR_TEXT        =  1
Declare Const FCE_GET_COUNTER           =  2
Declare Const FCE_GET_RESPONSE          =  3
Declare Const FCE_GET_SOCK_ERROR        =  4

Declare Const FCE_GET_FILE_BYTES_RCVD   = 10
Declare Const FCE_GET_TOTAL_BYTES_RCVD  = 11
Declare Const FCE_GET_FILE_BYTES_SENT   = 12
Declare Const FCE_GET_TOTAL_BYTES_SENT  = 13
Declare Const FCE_GET_SOCKET            = 14
Declare Const FCE_GET_CONNECT_STATUS    = 15
Declare Const FCE_GET_REGISTRATION      = 16
Declare Const FCE_GET_ATTACH_COUNT      = 17
Declare Const FCE_GET_LAST_RESPONSE     = 18
Declare Const FCE_GET_SERVER_IP         = 19
Declare Const FCE_GET_VERSION           = 20
Declare Const FCE_GET_BUILD             = 21

Declare Const FCE_FULL_LIST = 0
Declare Const FCE_NAME_LIST = 1
Declare Const FCE_FULL_LIST_FILE = 2
Declare Const FCE_NAME_LIST_FILE = 3

''' Application code starts here '''

Dim Server As String
Dim User As String
Dim Pass As String

Private Sub ShowError(Code As Integer)
Dim Buffer As String * 81
Code = seeErrorText(0,Code, Buffer, 80)
MsgBox Buffer
End Sub

Function vbaCommand ()
Dim Code As Integer

'***
'*** PROGRAMMERS: 
'***    Edit the next 4 lines. Registered users replace "0&" 
'***    below with their key code (see KEYCODE.BAS).
'***
KeyCode = 0&  
'''Server = "ftp.marshallsoft.com"
'''User = "anonymous"
'''Pass = "you@marshallsoft.com"
Server = "10.0.0.1"
User = "mike"
Pass = "mike"
'*** END PROGRAMMERS
'***

' attach FCE
Code = fceAttach(1, FCE_KEY_CODE)
If Code < 0 Then
  MsgBox "Cannot attach FCE " & Str$(Code)
  Exit Sub
End If
' define log file
Code = fceSetString(0, FCE_SET_LOG_FILE, "MODULE16.LOG")
' connect to FTP site
MsgBox "Connecting to " + Server + " as user " + User
Code = fceConnect(0, Server, User, Pass)
If Code < 0 Then
  Call ShowError(Code)
  Code = fceRelease()
  Exit Sub
Else
  MsgBox "Connected to server."
  ' get server's IP address
  Code = fceGetString(0, FCE_GET_SERVER_IP, Buffer, 1000)
  MsgBox "Server IP = " + Left(Buffer, Code)
  ' say hello
  Code = fceHello(0)
  If Code < 0 Then
    MsgBox "Server is NOT responding!"
    Call ShowError(Code)
  Else
    MsgBox "Server is responding as expected."
  End If
  ' close connection
  MsgBox "Closing connection."
  Code = fceClose(0)
  Code = fceRelease()
End If
End Sub

  
End Function


